Thread Rating:
  • 1 Vote(s) - 5 Average
Kodi 18 - Confluence skin not compatible with Kodi 18.0-ALPHA1 Git:20170109-ba98c54
#16
You just need to edit addon.xml file in the skin folder to get Confluence working again.
On the 4. line change 5.12.0 to 5.13.0
Reply
#17
(2017-01-21, 19:38)TimoJ Wrote: You just need to edit addon.xml file in the skin folder to get Confluence working again.
On the 4. line change 5.12.0 to 5.13.0

Thanks that worked perfectly, do you also know how to update to a higher version than 3.0.40 because wehn I apply this trick to the addon.xml in a higher version it hust won't install although it does not error anymore with failed dependencies.
Thanks in advance.
Reply
#18
I've been using 3.0.39 but 3.0.45 seems to work fine (with the 4th line change) but I installed it by manually copying files from the .zip package downloaded from here: https://github.com/xbmc/skin.confluence
I'm not sure if that is the latest version?
Reply
#19
Thanks this worked.
I was to tunnel visioned to even look at it this way.
Thanks for pointing me in this direction I should and could have found this myself if I was not to tunnel visioned.

Image
Image
Reply
#20
Thank you so much for this! That default skin is beyond infuriating. Smile


(2017-01-21, 19:38)TimoJ Wrote: You just need to edit addon.xml file in the skin folder to get Confluence working again.
On the 4. line change 5.12.0 to 5.13.0
Reply
#21
Hi Guys

Just used this but on reboot I can see the font's behind the fav & power buttons! anyone else have this problem?
Reply
#22
Sort of.

I can see the font behind the buttons but it is kind of on the wrong place and too big and on some places it is exactly behind the button so I only see the exterior of the letters.
Reply
#23
Just downloaded skin.confluence-master.zip file (seems to be version 3.0.48).
Then i edited the 4th line of addon.xml within the zip file (changing import version from 5.12.0 to 5.13.0) as suggested by TomoJ in his post above.

I then uninstalled my old non working confluense addon and reinstalled the skin using the modded zip file.
Now i have confluence working again on Kodi 18-Alpha1 Git:20170227-755d7b3e8-di (Feb 22 2017).

As yet i haven't gone through the skin in detail to check all is actually OK.
But some question begs to be asked:

1. If getting Confluence working again is just a simple one line fix, why can't this be updated within teh repo and allow Kodi users to choose Confluence or Estuary on Leia as they desire?
2. If there are underliying issues with doing this one line addon.xml change, what are they?
3. Is there any correlation between Estualy and Kodi on XBone?

Hoping Team Kodi can sort out Confluence and allow users to choose the default skin they prefer.

[edited to fis pselling]
I'm a XBMC novice :)
Reply
#24
An update to say that the simpe one line .xml mod suggested by TomoJ allows confluence to work with my basic use case and that as yet i've experianced no issues.

But to be honest, i was hoping i'd get some sort of answers to my questions above, however, i'm not entirely surprised that no comments have been forthcoming Huh
For me, i guess it feel a little like Team Kodi wants Confluence dead Sad
I'm a XBMC novice :)
Reply
#25
It's seems like there are separate teams for all kinds of parts of the KODI ecosystem and the confluence skin team is not that big anymore it has only 11 contributors.
And yes it was known from the beginning that the Confluence skin wouldn't be a very active project anymore.
The new default skins are the future of KODI skinning so to that projects goes the most development time.
If you can find some other developers who love this skin you can let them fork it and maintain it themself or you could even do it yourself.
Otherwise this is it.
Reply
#26
(2017-03-27, 08:42)skylarking Wrote: 1. If getting Confluence working again is just a simple one line fix, why can't this be updated within teh repo and allow Kodi users to choose Confluence or Estuary on Leia as they desire?
2. If there are underliying issues with doing this one line addon.xml change, what are they?
3. Is there any correlation between Estualy and Kodi on XBone?

1. Confluence is not up to date with the skinning changes made thus far for v18.
2. Yes since it's not up to date with the changes the skinners have to take account of then there could be underlying issues, the changes are listed at http://forum.kodi.tv/showthread.php?tid=298565
3. No
Reply



Confluence skin not compatible with Kodi 18.0-ALPHA1 Git:20170109-ba98c5451